> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/cze/dokumentace-api/upload-files-with-the-geopard-api.md).

# Nahrávání souborů pomocí GeoPard API

{% hint style="success" %}
Doporučeným postupem pro soubory větší než 6 MB je [nahrávání pomocí předem podepsané URL](https://docs.geopard.tech/geopard-tutorials/cze/dokumentace-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).
{% endhint %}

Rozhraní GeoPard API umožňuje nahrávat archivy ZIP se soubory o půdě, výnosech, provedených aplikacích a hranicích pozemků k dalšímu zpracování a analýze.

{% hint style="danger" %}
Kvůli omezení služby AWS je maximální velikost souboru, který lze nahrát prostřednictvím tohoto koncového bodu REST, 6 MB.
{% endhint %}

Postup nahrávání souborů větších než 6 MB je popsán v části [Nahrávání souborů ZIP (větších než 6 MB)](https://docs.geopard.tech/geopard-tutorials/cze/dokumentace-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

Ihned po úspěšném nahrání souboru s údaji o půdě, výnosech nebo provedených aplikacích propojí engine GeoPard tento soubor s příslušnými pozemky v určené farmě.

Ihned po úspěšném nahrání hranic zahájí engine GeoPard jejich zpracování.

Odpověď obsahuje `<uuid>` které můžete použít ke sledování stavu zpracování.

#### Ukázka požadavku:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/zip' \
--data-binary '@path/to/file.zip'
```

{% endcode %}

Parametry:

1. `<type>` – typ nahrávaného souboru s daty. Musí být jedním z těchto typů: `yield` NEBO `soil` NEBO `applied` NEBO `boundary`.
2. `<farm_uuid>` – `uuid` farmy, na kterou se soubor nahraje (volitelné).
3. `<token>` – přístupový token GeoPard.
4. `@path/to/file.zip` – cesta k nahrávanému souboru.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/cze/dokumentace-api/upload-files-with-the-geopard-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
